package com.mortals.xhx.module.notice.model;

import java.util.List;
import com.mortals.xhx.module.notice.model.NoticeRoomEntity;
/**
* 房间公告查询对象
*
* @author zxfei
* @date 2023-09-05
*/
public class NoticeRoomQuery extends NoticeRoomEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 公告id */
    private Long noticeIdStart;

    /** 结束 公告id */
    private Long noticeIdEnd;

    /** 增加 公告id */
    private Long noticeIdIncrement;

    /** 公告id列表 */
    private List <Long> noticeIdList;

    /** 公告id排除列表 */
    private List <Long> noticeIdNotList;

    /** 公告标题 */
    private List<String> titleList;

    /** 公告标题排除列表 */
    private List <String> titleNotList;
    /** 开始 房间id */
    private Long roomIdStart;

    /** 结束 房间id */
    private Long roomIdEnd;

    /** 增加 房间id */
    private Long roomIdIncrement;

    /** 房间id列表 */
    private List <Long> roomIdList;

    /** 房间id排除列表 */
    private List <Long> roomIdNotList;

    /** 房间名称 */
    private List<String> roomNameList;

    /** 房间名称排除列表 */
    private List <String> roomNameNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<NoticeRoomQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<NoticeRoomQuery> andConditionList;

    public NoticeRoomQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 公告id
    * @return noticeIdStart
    */
    public Long getNoticeIdStart(){
        return this.noticeIdStart;
    }

    /**
    * 设置 开始 公告id
    * @param noticeIdStart
    */
    public void setNoticeIdStart(Long noticeIdStart){
        this.noticeIdStart = noticeIdStart;
    }

    /**
    * 获取 结束 公告id
    * @return $noticeIdEnd
    */
    public Long getNoticeIdEnd(){
        return this.noticeIdEnd;
    }

    /**
    * 设置 结束 公告id
    * @param noticeIdEnd
    */
    public void setNoticeIdEnd(Long noticeIdEnd){
        this.noticeIdEnd = noticeIdEnd;
    }

    /**
    * 获取 增加 公告id
    * @return noticeIdIncrement
    */
    public Long getNoticeIdIncrement(){
        return this.noticeIdIncrement;
    }

    /**
    * 设置 增加 公告id
    * @param noticeIdIncrement
    */
    public void setNoticeIdIncrement(Long noticeIdIncrement){
        this.noticeIdIncrement = noticeIdIncrement;
    }

    /**
    * 获取 公告id
    * @return noticeIdList
    */
    public List<Long> getNoticeIdList(){
        return this.noticeIdList;
    }

    /**
    * 设置 公告id
    * @param noticeIdList
    */
    public void setNoticeIdList(List<Long> noticeIdList){
        this.noticeIdList = noticeIdList;
    }

    /**
    * 获取 公告id
    * @return noticeIdNotList
    */
    public List<Long> getNoticeIdNotList(){
        return this.noticeIdNotList;
    }

    /**
    * 设置 公告id
    * @param noticeIdNotList
    */
    public void setNoticeIdNotList(List<Long> noticeIdNotList){
        this.noticeIdNotList = noticeIdNotList;
    }


    /**
    * 获取 公告标题
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 公告标题
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
    * 获取 公告标题
    * @return titleNotList
    */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
    * 设置 公告标题
    * @param titleNotList
    */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
    * 获取 开始 房间id
    * @return roomIdStart
    */
    public Long getRoomIdStart(){
        return this.roomIdStart;
    }

    /**
    * 设置 开始 房间id
    * @param roomIdStart
    */
    public void setRoomIdStart(Long roomIdStart){
        this.roomIdStart = roomIdStart;
    }

    /**
    * 获取 结束 房间id
    * @return $roomIdEnd
    */
    public Long getRoomIdEnd(){
        return this.roomIdEnd;
    }

    /**
    * 设置 结束 房间id
    * @param roomIdEnd
    */
    public void setRoomIdEnd(Long roomIdEnd){
        this.roomIdEnd = roomIdEnd;
    }

    /**
    * 获取 增加 房间id
    * @return roomIdIncrement
    */
    public Long getRoomIdIncrement(){
        return this.roomIdIncrement;
    }

    /**
    * 设置 增加 房间id
    * @param roomIdIncrement
    */
    public void setRoomIdIncrement(Long roomIdIncrement){
        this.roomIdIncrement = roomIdIncrement;
    }

    /**
    * 获取 房间id
    * @return roomIdList
    */
    public List<Long> getRoomIdList(){
        return this.roomIdList;
    }

    /**
    * 设置 房间id
    * @param roomIdList
    */
    public void setRoomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
    }

    /**
    * 获取 房间id
    * @return roomIdNotList
    */
    public List<Long> getRoomIdNotList(){
        return this.roomIdNotList;
    }

    /**
    * 设置 房间id
    * @param roomIdNotList
    */
    public void setRoomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
    }


    /**
    * 获取 房间名称
    * @return roomNameList
    */
    public List<String> getRoomNameList(){
        return this.roomNameList;
    }

    /**
    * 设置 房间名称
    * @param roomNameList
    */
    public void setRoomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
    }

    /**
    * 获取 房间名称
    * @return roomNameNotList
    */
    public List<String> getRoomNameNotList(){
        return this.roomNameNotList;
    }

    /**
    * 设置 房间名称
    * @param roomNameNotList
    */
    public void setRoomNameNotList(List<String> roomNameNotList){
        this.roomNameNotList = roomNameNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public NoticeRoomQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public NoticeRoomQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public NoticeRoomQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public NoticeRoomQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public NoticeRoomQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public NoticeRoomQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  公告id
    * @param noticeId
    */
    public NoticeRoomQuery noticeId(Long noticeId){
	    setNoticeId(noticeId);
		return this;
    }
	
	 /**
    * 设置 开始 公告id
    * @param noticeIdStart
    */
    public NoticeRoomQuery noticeIdStart(Long noticeIdStart){
		this.noticeIdStart = noticeIdStart;
		return this;
    }

    /**
    * 设置 结束 公告id
    * @param noticeIdEnd
    */
    public NoticeRoomQuery noticeIdEnd(Long noticeIdEnd){
		this.noticeIdEnd = noticeIdEnd;
		return this;
    }

    /**
    * 设置 增加 公告id
    * @param noticeIdIncrement
    */
    public NoticeRoomQuery noticeIdIncrement(Long noticeIdIncrement){
		this.noticeIdIncrement = noticeIdIncrement;
		return this;
    }

    /**
    * 设置 公告id
    * @param noticeIdList
    */
    public NoticeRoomQuery noticeIdList(List<Long> noticeIdList){
        this.noticeIdList = noticeIdList;
		return this;
        }

        /**
        * 设置 公告id
        * @param noticeIdNotList
        */
        public NoticeRoomQuery noticeIdNotList(List<Long> noticeIdNotList){
        this.noticeIdNotList = noticeIdNotList;
        return this;
        }


	/**
    * 设置 公告标题
    * @param title
    */
    public NoticeRoomQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 公告标题
    * @param titleList
    */
    public NoticeRoomQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }

    /**
    * 设置  房间id
    * @param roomId
    */
    public NoticeRoomQuery roomId(Long roomId){
	    setRoomId(roomId);
		return this;
    }
	
	 /**
    * 设置 开始 房间id
    * @param roomIdStart
    */
    public NoticeRoomQuery roomIdStart(Long roomIdStart){
		this.roomIdStart = roomIdStart;
		return this;
    }

    /**
    * 设置 结束 房间id
    * @param roomIdEnd
    */
    public NoticeRoomQuery roomIdEnd(Long roomIdEnd){
		this.roomIdEnd = roomIdEnd;
		return this;
    }

    /**
    * 设置 增加 房间id
    * @param roomIdIncrement
    */
    public NoticeRoomQuery roomIdIncrement(Long roomIdIncrement){
		this.roomIdIncrement = roomIdIncrement;
		return this;
    }

    /**
    * 设置 房间id
    * @param roomIdList
    */
    public NoticeRoomQuery roomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
		return this;
        }

        /**
        * 设置 房间id
        * @param roomIdNotList
        */
        public NoticeRoomQuery roomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
        return this;
        }


	/**
    * 设置 房间名称
    * @param roomName
    */
    public NoticeRoomQuery roomName(String roomName){
        setRoomName(roomName);
		return this;
    }

    /**
    * 设置 房间名称
    * @param roomNameList
    */
    public NoticeRoomQuery roomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public NoticeRoomQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public NoticeRoomQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public NoticeRoomQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public NoticeRoomQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public NoticeRoomQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public NoticeRoomQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public NoticeRoomQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public NoticeRoomQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public NoticeRoomQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public NoticeRoomQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public NoticeRoomQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public NoticeRoomQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public NoticeRoomQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public NoticeRoomQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<NoticeRoomQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<NoticeRoomQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<NoticeRoomQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<NoticeRoomQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}